<template>
  <v-card
    tile
    class="card-border-top"
  >
    <v-expansion-panels>
      <v-expansion-panel>
        <v-expansion-panel-header>
          <slot name="title">
            <p class="expansion-panel-title">
              {{ $t('addAmount') }}
            </p>
          </slot>
        </v-expansion-panel-header>
        <v-expansion-panel-content>
          <slot />
        </v-expansion-panel-content>
      </v-expansion-panel>
    </v-expansion-panels>
  </v-card>
</template>

<script>
  export default {
    name: 'ExpansionPanelToCreate',
    i18n: {
      messages: {
        'pt-BR': {
          addAmount: 'Adicionar R$',
        },
        'en-US': {
          addAmount: 'Add $',
        },
      },
    },
  }
</script>

<style scoped>
  .card-border-top {
    border-top: 1px solid rgba(0, 0, 0, 0.12);
  }
  .expansion-panel-title {
    font-size: large;
    margin-bottom: 0;
  }
</style>
